<template>
    <div class="modal-agree" v-if="contents">
        <div class="model-title">
          confirm
          <a href="#" class="close" @click.prevent="close">닫기</a>
        </div>
        <div class="model-body">
					<div class="info" v-html="contents"></div>
          <div class="btn-wrap">
            <button type="button" class="btn-line" @click.prevent="close">{{ options.cancelLabel || '닫기' }}</button>
            <button type="button" class="btn-confirm" @click.prevent="confirm">{{ options.confirmLabel || '확인' }}</button>
          </div>
        </div>
      </div>
</template>

<script>
import { mapGetters, mapMutations } from "vuex";

export default {
    name: "confirm",
    data() {
        return {};
    },
    computed: {
        ...mapGetters({
            contents: "confirm/contents",
            options: "confirm/options",
            callBack: "confirm/callBack",
            cancel: "confirm/cancel",
        }),
    },
    methods: {
        ...mapMutations({
            confirmation: "confirm/setConfirm",
        }),
        close() {
            typeof this.cancel === "function" && this.cancel();
            this.reset();
        },
        confirm() {
            typeof this.callBack === "function" && this.callBack();
            this.reset();
        },
        reset() {
            this.confirmation({
                contents: null,
                options: {
                    cancelLabel: null,
                    confirmLabel: null,
                },
                callBack: null,
                cancel: null,
            });
        }
    }
};
</script>

<style lang="scss">

</style>
